# Method: consentStores.patch

**Full name**: projects.locations.datasets.consentStores.patch

Updates the specified `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.consentStores#ConsentStore`.

### HTTP request

`PATCH https://healthcare.googleapis.com/v1/{consentStore.name=projects/*/locations/*/datasets/*/consentStores/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `consentStore.name` | `string` Identifier. Resource name of the consent store, of the form `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/consentStores/{consentStoreId}`. Cannot be changed after creation. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string(`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The update mask that applies to the resource. For the `FieldMask` definition, see <https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask>. Only the `labels`, `defaultConsentTtl`, and `enableConsentCreateOnUpdate` fields are allowed to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.consentStores#ConsentStore`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.consentStores#ConsentStore`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).